Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.runtime
Interface Joins

public interface Joins

Tracks joins made when traversing relations in a select.

Method Summary
`void` | `crossJoin(com.solarmetric.rd.kodo.impl.jdbc.schema.Table localTable, com.solarmetric.rd.kodo.impl.jdbc.schema.Table foreignTable)` Perform a cross join on the given tables.
`java.lang.String` | `getColumnAlias(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the alias for the given column.
`java.lang.String` | `getTableAlias(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table)` Return the alias for the given table.
`boolean` | `hasJoins()` Return true if this instance has any joins.
`void` | `join(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] local, com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] foreign, boolean toMany)` Join the given columns.
`void` | `joinRelation(java.lang.String name, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping type, com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] local, com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] pk, boolean toMany)` Join the given columns of a named field to the primary key columns of a related type.
`void` | `outerJoin(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] local, com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] foreign, boolean toMany)` Join the given columns.
`void` | `outerJoinRelation(java.lang.String name, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping type, com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] local, com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] pk, boolean toMany)` Join the given columns of a named field to the primary key columns of a related type.
`void` | `setVariable(java.lang.String var)` Set the variable name being traversed into with the next join.

Method Detail

### hasJoins

    public boolean hasJoins()

  Return true if this instance has any joins.

### crossJoin

    public void crossJoin(com.solarmetric.rd.kodo.impl.jdbc.schema.Table localTable,
                          com.solarmetric.rd.kodo.impl.jdbc.schema.Table foreignTable)

  Perform a cross join on the given tables.

### join

    public void join(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] local,
                     com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] foreign,
                     boolean toMany)

  Join the given columns.

### outerJoin

    public void outerJoin(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] local,
                          com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] foreign,
                          boolean toMany)

  Join the given columns.

### joinRelation

    public void joinRelation(java.lang.String name,
                             com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping type,
                             com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] local,
                             com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] pk,
                             boolean toMany)

  Join the given columns of a named field to the primary key columns of a related type.

### outerJoinRelation

    public void outerJoinRelation(java.lang.String name,
                                  com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping type,
                                  com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] local,
                                  com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] pk,
                                  boolean toMany)

  Join the given columns of a named field to the primary key columns of a related type.

### setVariable

    public void setVariable(java.lang.String var)

  Set the variable name being traversed into with the next join.

### getColumnAlias

    public java.lang.String getColumnAlias(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)

  Return the alias for the given column.

### getTableAlias

    public java.lang.String getTableAlias(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table)

  Return the alias for the given table.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.